Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1515766 - "bodhi updates new --help" has wrong example for an update with multiple builds
Summary: "bodhi updates new --help" has wrong example for an update with multiple builds
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bodhi
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Randy Barlow
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-21 10:54 UTC by Petr Pisar
Modified: 2018-01-02 15:58 UTC (History)
4 users (show)

Fixed In Version: bodhi-3.1.0-2.fc28 bodhi-2.12.2-3.fc27 bodhi-2.12.2-3.fc26 bodhi-2.11.0-3.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-19 19:49:48 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github fedora-infra bodhi issues 2071 None None None 2017-12-12 21:32:47 UTC

Description Petr Pisar 2017-11-21 10:54:04 UTC
I want to create an update that consists of two RPM builds. bodhi client usage says:

$ bodhi updates new --help
Usage: bodhi updates new [OPTIONS] BUILDS

  Create a new update.

  BUILDS: a comma separated list of Builds to be added to the update (e.g.
  0ad-0.0.21-4.fc26, 2ping-3.2.1-4.fc26)

Trying I get this error:

$ bodhi updates new --type bugfix --bugs 1476237,1378895 --close-bugs 'This fixes inserting LZW-compressed 8-bit TIFF images into PDF documents.' perl-Graphics-TIFF-6-1.fc26, perl-PDF-API2-2.033-2.fc26
Usage: bodhi updates new [OPTIONS] BUILDS

Error: Got unexpected extra arguments (perl-Graphics-TIFF-6-1.fc26, perl-PDF-API2-2.033-2.fc26)

I also tried without the comma and also as one argument "A, B" and "A B". But none of them work.

I think bodhi-client-2.12.2-2.fc26.noarch is broken.

Comment 1 Randy Barlow 2017-11-23 22:59:20 UTC
The text needs a --notes flag before it, and the builds cannot have spaces in them. Try this:

$ bodhi updates new --type bugfix --bugs 1476237,1378895 --close-bugs --notes 'This fixes inserting LZW-compressed 8-bit TIFF images into PDF documents.' perl-Graphics-TIFF-6-1.fc26,perl-PDF-API2-2.033-2.fc26

Comment 2 Petr Pisar 2017-11-24 08:47:41 UTC
I see. I already submitted the update via web page. With the --notes option it correctly accepts the arguments.

So please fix this example in the "bodhi updates new --help" output:

$ bodhi updates new --help
Usage: bodhi updates new [OPTIONS] BUILDS

  Create a new update.

  BUILDS: a comma separated list of Builds to be added to the update (e.g.
  0ad-0.0.21-4.fc26, 2ping-3.2.1-4.fc26)


The last line should be:

  0ad-0.0.21-4.fc26,2ping-3.2.1-4.fc26)

Comment 3 Fedora Update System 2017-12-12 22:57:50 UTC
bodhi-2.11.0-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-35d01aa023

Comment 4 Fedora Update System 2017-12-12 22:58:00 UTC
bodhi-2.12.2-3.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-3ed3f1c0c3

Comment 5 Fedora Update System 2017-12-12 22:58:05 UTC
bodhi-2.12.2-3.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-a6ebc0ae45

Comment 6 Fedora Update System 2017-12-14 05:43:29 UTC
bodhi-2.11.0-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-35d01aa023

Comment 7 Fedora Update System 2017-12-14 06:13:36 UTC
bodhi-2.12.2-3.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-a6ebc0ae45

Comment 8 Fedora Update System 2017-12-14 11:10:41 UTC
bodhi-2.12.2-3.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-3ed3f1c0c3

Comment 9 Fedora Update System 2017-12-19 19:49:48 UTC
bodhi-2.12.2-3.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2017-12-26 16:29:57 UTC
bodhi-2.12.2-3.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2018-01-02 15:58:56 UTC
bodhi-2.11.0-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.